Bug 796040 - [6d19136de7af9135dd23662f18c3ee544a2888da]: gluster volume set help-xml broken
[6d19136de7af9135dd23662f18c3ee544a2888da]: gluster volume set help-xml broken
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-22 01:43 EST by Rahul C S
Modified: 2013-07-24 13:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 1f3a0dd4742a2fcd3215aee4a5e22125d7ea4f4d
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2012-02-22 01:43:22 EST
Description of problem:
I have installed libxml2 & libxml2-devel & ran gluster volume set help-xml command, it tells 
"Set volume unsuccessful"

This is required for GUI .
Comment 1 Vijay Bellur 2012-02-22 13:27:17 EST
Kaushal,

This is related to changes done (msg[1024]) in gf_cli3_1_set_volume_cbk for the xmlization of all command outputs. Can you please take a look?
Comment 2 Anand Avati 2012-02-27 05:16:58 EST
CHANGE: http://review.gluster.com/2822 (cli: Fix broken "volume set help/help-xml") merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Rahul C S 2012-04-05 02:31:23 EDT
Verified on 1f3a0dd4742a2fcd3215aee4a5e22125d7ea4f4d master

Xml outputs proper.

Note You need to log in before you can comment on or make changes to this bug.